# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['lumbunglib']

package_data = \
{'': ['*'], 'lumbunglib': ['templates/*']}

install_requires = \
['Jinja2>=3.0.3,<4.0.0',
 'Mastodon.py>=1.5.1,<2.0.0',
 'bs4>=0.0.1,<0.0.2',
 'feedparser>=6.0.8,<7.0.0',
 'ics>=0.7,<0.8',
 'natural>=0.2.0,<0.3.0',
 'peertube @ '
 'git+https://framagit.org/framasoft/peertube/clients/python.git@master',
 'python-slugify>=5.0.2,<6.0.0',
 'requests>=2.26.0,<3.0.0']

entry_points = \
{'console_scripts': ['lumbunglib-cal = lumbunglib.cloudcal:main',
                     'lumbunglib-feed = lumbunglib.feed:main',
                     'lumbunglib-hash = lumbunglib.hashtag:main',
                     'lumbunglib-vid = lumbunglib.video:main']}

setup_kwargs = {
    'name': 'lumbunglib',
    'version': '0.1.0',
    'description': 'Python lib which powers lumbung[dot]space automation',
    'long_description': None,
    'author': 'rra',
    'author_email': None,
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)

